export interface StatsClient {
    timing(statKey: string, milliseconds: number, sample_rate?: number, tags?: string[]): void;
    increment(statKey: string, sample_rate?: number, tags?: string[]): void;
    incrementBy(statKey: string, value?: number, tags?: string[]): void;
    decrement(statKey: string, sample_rate?: number, tags?: string[]): void;
    decrementBy(statKey: string, value?: number, tags?: string[]): void;
    gauge(statKey: string, value: number, sample_rate?: number, tags?: string[]): void;
    histogram(statKey: string, value: number, sample_rate?: number, tags?: string[]): void;
    close(): void;
}
export interface DaptivStatsLoggerOpts {
    prefix?: string;
    globalTags?: string[];
    client: StatsClient;
}
export declare class DaptivStatsLogger {
    private client;
    private prefix;
    private globalTags;
    constructor(options: DaptivStatsLoggerOpts);
    timing(statKey: string, milliseconds: number, sampleRate?: number, tags?: string[]): void;
    increment(statKey: string, sampleRate?: number, tags?: string[]): void;
    incrementBy(statKey: string, value?: number, tags?: string[]): void;
    decrement(statKey: string, sampleRate?: number, tags?: string[]): void;
    decrementBy(statKey: string, value?: number, tags?: string[]): void;
    gauge(statKey: string, value: number, sampleRate?: number, tags?: string[]): void;
    histogram(statKey: any, value: number, sampleRate?: number, tags?: string[]): void;
    close(): void;
    private mergeWithGlobalTags(tags);
    private decorateStatName(statKey);
    private sanitizeStatKey(statKey);
}
